=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2011-05-31 18:30:32 +0000
+++ bzrlib/builtins.py	2011-05-27 17:57:23 +0000
@@ -3879,9 +3879,7 @@
     committed to record the result of the merge.
 
     merge refuses to run if there are any uncommitted changes, unless
-    --force is given.  If --force is given, then the changes from the source 
-    will be merged with the current working tree, including any uncommitted
-    changes in the tree.  The --force option can also be used to create a
+    --force is given. The --force option can also be used to create a
     merge revision which has more than two parents.
 
     If one would like to merge changes from the working tree of the other

=== removed file 'bzrlib/i18n.py'
--- bzrlib/i18n.py	2011-05-27 21:38:33 +0000
+++ bzrlib/i18n.py	1970-01-01 00:00:00 +0000
@@ -1,135 +0,0 @@
-# -*- coding: utf-8 -*-
-#
-# Copyright (C) 2007 Lukáš Lalinský <lalinsky@gmail.com>
-# Copyright (C) 2007,2009 Alexander Belchenko <bialix@ukr.net>
-# Copyright (C) 2011 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-# This module is copied from Bazaar Explorer and modified for bzr.
-
-"""i18n and l10n support for Bazaar."""
-
-import gettext as _gettext
-import os
-import sys
-
-_translation = _gettext.NullTranslations()
-
-
-def gettext(message):
-    """Translate message. 
-    
-    :returns: translated message as unicode.
-    """
-    return _translation.ugettext(message)
-
-
-def ngettext(s, p, n):
-    """Translate message based on `n`.
-
-    :returns: translated message as unicode.
-    """
-    return _translation.ungettext(s, p, n)
-
-
-def N_(msg):
-    """Mark message for translation but don't translate it right away."""
-    return msg
-
-
-def gettext_per_paragraph(message):
-    """Translate message per paragraph.
-
-    :returns: concatenated translated message as unicode.
-    """
-    paragraphs = message.split(u'\n\n')
-    ugettext = _translation.ugettext
-    # Be careful not to translate the empty string -- it holds the
-    # meta data of the .po file.
-    return u'\n\n'.join(ugettext(p) if p else u'' for p in paragraphs)
-
-
-def install(lang=None):
-    global _translation
-    if lang is None:
-        lang = _get_current_locale()
-    _translation = _gettext.translation(
-            'bzr',
-            localedir=_get_locale_dir(),
-            languages=lang.split(':'),
-            fallback=True)
-
-
-def uninstall():
-    global _translation
-    _translation = _null_translation
-
-
-def _get_locale_dir():
-    if hasattr(sys, 'frozen'):
-        base = os.path.dirname(
-                unicode(sys.executable, sys.getfilesystemencoding()))
-        return os.path.join(base, u'locale')
-    else:
-        base = os.path.dirname(unicode(__file__, sys.getfilesystemencoding()))
-        dirpath = os.path.realpath(os.path.join(base, u'locale'))
-        if os.path.exists(dirpath):
-            return dirpath
-        else:
-            return '/usr/share/locale'
-
-
-def _check_win32_locale():
-    for i in ('LANGUAGE','LC_ALL','LC_MESSAGES','LANG'):
-        if os.environ.get(i):
-            break
-    else:
-        lang = None
-        import locale
-        try:
-            import ctypes
-        except ImportError:
-            # use only user's default locale
-            lang = locale.getdefaultlocale()[0]
-        else:
-            # using ctypes to determine all locales
-            lcid_user = ctypes.windll.kernel32.GetUserDefaultLCID()
-            lcid_system = ctypes.windll.kernel32.GetSystemDefaultLCID()
-            if lcid_user != lcid_system:
-                lcid = [lcid_user, lcid_system]
-            else:
-                lcid = [lcid_user]
-            lang = [locale.windows_locale.get(i) for i in lcid]
-            lang = ':'.join([i for i in lang if i])
-        # set lang code for gettext
-        if lang:
-            os.environ['LANGUAGE'] = lang
-
-
-def _get_current_locale():
-    if not os.environ.get('LANGUAGE'):
-        from bzrlib import config
-        lang = config.GlobalConfig().get_user_option('language')
-        if lang:
-            os.environ['LANGUAGE'] = lang
-            return lang
-    if sys.platform == 'win32':
-        _check_win32_locale()
-    for i in ('LANGUAGE','LC_ALL','LC_MESSAGES','LANG'):
-        lang = os.environ.get(i)
-        if lang:
-            return lang
-    return None

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2011-05-27 21:41:02 +0000
+++ bzrlib/tests/__init__.py	2011-05-27 02:22:45 +0000
@@ -3808,7 +3808,6 @@
         'bzrlib.tests.test_http',
         'bzrlib.tests.test_http_response',
         'bzrlib.tests.test_https_ca_bundle',
-        'bzrlib.tests.test_i18n',
         'bzrlib.tests.test_identitymap',
         'bzrlib.tests.test_ignores',
         'bzrlib.tests.test_index',

=== modified file 'bzrlib/tests/blackbox/test_serve.py'
--- bzrlib/tests/blackbox/test_serve.py	2011-05-29 15:42:32 +0000
+++ bzrlib/tests/blackbox/test_serve.py	2011-05-27 13:12:23 +0000
@@ -19,7 +19,6 @@
 
 import os
 import signal
-import sys
 import thread
 import threading
 
@@ -28,7 +27,6 @@
     errors,
     osutils,
     revision as _mod_revision,
-    trace,
     transport,
     urlutils,
     )
@@ -43,6 +41,7 @@
     TestCaseWithMemoryTransport,
     TestCaseWithTransport,
     )
+from bzrlib.trace import mutter
 from bzrlib.transport import remote
 
 
@@ -57,12 +56,12 @@
 
         Returns stdout and stderr.
         """
+        # install hook
+        def on_server_start(backing_urls, tcp_server):
+            t = threading.Thread(
+                target=on_server_start_thread, args=(tcp_server,))
+            t.start()
         def on_server_start_thread(tcp_server):
-            """This runs concurrently with the server thread.
-
-            The server is interrupted as soon as ``func`` finishes, even if an
-            exception is encountered.
-            """
             try:
                 # Run func if set
                 self.tcp_server = tcp_server
@@ -72,25 +71,17 @@
                     except Exception, e:
                         # Log errors to make some test failures a little less
                         # mysterious.
-                        trace.mutter('func broke: %r', e)
+                        mutter('func broke: %r', e)
             finally:
                 # Then stop the server
-                trace.mutter('interrupting...')
+                mutter('interrupting...')
                 thread.interrupt_main()
-        # When the hook is fired, it just starts ``on_server_start_thread`` and
-        # return
-        def on_server_start(backing_urls, tcp_server):
-            t = threading.Thread(
-                target=on_server_start_thread, args=(tcp_server,))
-            t.start()
-        # install hook
         SmartTCPServer.hooks.install_named_hook(
             'server_started_ex', on_server_start,
             'run_bzr_serve_then_func hook')
         # start a TCP server
         try:
-            out, err = self.run_bzr(['serve'] + list(serve_args),
-                                    retcode=retcode)
+            out, err = self.run_bzr(['serve'] + list(serve_args), retcode=retcode)
         except KeyboardInterrupt, e:
             out, err = e.args
         return out, err
@@ -103,23 +94,17 @@
         self.disable_missing_extensions_warning()
 
     def test_server_exception_with_hook(self):
-        """Catch exception from the server in the server_exception hook.
-
-        We use ``run_bzr_serve_then_func`` without a ``func`` so the server
-        will receive a KeyboardInterrupt exception we want to catch.
-        """
+        """test exception hook works to catch exceptions from server"""
         def hook(exception):
-            if exception[0] is KeyboardInterrupt:
-                sys.stderr.write('catching KeyboardInterrupt\n')
-                return True
-            else:
-                return False
+            from bzrlib.trace import note
+            note("catching exception")
+            return True
         SmartTCPServer.hooks.install_named_hook(
             'server_exception', hook,
             'test_server_except_hook hook')
-        args = ['--port', 'localhost:0', '--quiet']
+        args = []
         out, err = self.run_bzr_serve_then_func(args, retcode=0)
-        self.assertEqual('catching KeyboardInterrupt\n', err)
+        self.assertEqual('listening on port: 4155\ncatching exception\n', err)
 
     def test_server_exception_no_hook(self):
         """test exception without hook returns error"""

=== modified file 'bzrlib/tests/per_workingtree/test_smart_add.py'
--- bzrlib/tests/per_workingtree/test_smart_add.py	2011-05-28 14:56:33 +0000
+++ bzrlib/tests/per_workingtree/test_smart_add.py	2011-05-18 18:49:43 +0000
@@ -299,11 +299,10 @@
     def test_requires_normalized_unicode_filenames_fails_on_unnormalized(self):
         """Adding unnormalized unicode filenames fail if and only if the
         workingtree format has the requires_normalized_unicode_filenames flag
-        set and the underlying filesystem doesn't normalize.
+        set.
         """
         osutils.normalized_filename = osutils._accessible_normalized_filename
-        if (self.workingtree_format.requires_normalized_unicode_filenames
-            and sys.platform != 'darwin'):
+        if self.workingtree_format.requires_normalized_unicode_filenames:
             self.assertRaises(
                 errors.NoSuchFile, self.wt.smart_add, [u'a\u030a'])
         else:

=== removed file 'bzrlib/tests/test_i18n.py'
--- bzrlib/tests/test_i18n.py	2011-05-27 06:37:07 +0000
+++ bzrlib/tests/test_i18n.py	1970-01-01 00:00:00 +0000
@@ -1,93 +0,0 @@
-# Copyright (C) 2011 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-"""Tests for bzrlib.i18n"""
-
-from bzrlib import i18n, tests
-
-
-
-
-class ZzzTranslations(object):
-    """Special Zzz translation for debugging i18n stuff.
-
-    This class can be used to confirm that the message is properly translated
-    during black box tests.
-    """
-    _null_translation = i18n._gettext.NullTranslations()
-
-    def zzz(self, s):
-        return u'zz{{%s}}' % s
-
-    def ugettext(self, s):
-        return self.zzz(self._null_translation.ugettext(s))
-
-    def ungettext(self, s, p, n):
-        return self.zzz(self._null_translation.ungettext(s, p, n))
-
-
-class TestZzzTranslation(tests.TestCase):
-
-    def _check_exact(self, expected, source):
-        self.assertEqual(expected, source)
-        self.assertEqual(type(expected), type(source))
-
-    def test_translation(self):
-        trans = ZzzTranslations()
-
-        t = trans.zzz('msg')
-        self._check_exact(u'zz{{msg}}', t)
-
-        t = trans.ugettext('msg')
-        self._check_exact(u'zz{{msg}}', t)
-
-        t = trans.ungettext('msg1', 'msg2', 0)
-        self._check_exact(u'zz{{msg2}}', t)
-        t = trans.ungettext('msg1', 'msg2', 2)
-        self._check_exact(u'zz{{msg2}}', t)
-
-        t = trans.ungettext('msg1', 'msg2', 1)
-        self._check_exact(u'zz{{msg1}}', t)
-
-
-class TestGetText(tests.TestCase):
-
-    def setUp(self):
-        super(TestGetText, self).setUp()
-        self.overrideAttr(i18n, '_translation', ZzzTranslations())
-
-    def test_oneline(self):
-        self.assertEqual(u"zz{{spam ham eggs}}",
-                         i18n.gettext("spam ham eggs"))
-
-    def test_multiline(self):
-        self.assertEqual(u"zz{{spam\nham\n\neggs\n}}",
-                         i18n.gettext("spam\nham\n\neggs\n"))
-
-
-class TestGetTextPerParagraph(tests.TestCase):
-
-    def setUp(self):
-        super(TestGetTextPerParagraph, self).setUp()
-        self.overrideAttr(i18n, '_translation', ZzzTranslations())
-
-    def test_oneline(self):
-        self.assertEqual(u"zz{{spam ham eggs}}",
-                         i18n.gettext_per_paragraph("spam ham eggs"))
-
-    def test_multiline(self):
-        self.assertEqual(u"zz{{spam\nham}}\n\nzz{{eggs\n}}",
-                         i18n.gettext_per_paragraph("spam\nham\n\neggs\n"))

=== modified file 'bzrlib/tests/test_import_tariff.py'
--- bzrlib/tests/test_import_tariff.py	2011-05-30 07:36:53 +0000
+++ bzrlib/tests/test_import_tariff.py	2011-05-27 14:50:58 +0000
@@ -20,10 +20,6 @@
 import os
 from testtools import content
 
-from bzrlib import (
-    osutils,
-    trace,
-    )
 from bzrlib.bzrdir import BzrDir
 from bzrlib.smart import medium
 from bzrlib.transport import remote
@@ -56,14 +52,6 @@
     """Check how many modules are loaded for some representative scenarios.
 
     See the Testing Guide in the developer documentation for more explanation.
-
-
-    We must respect the setup used by the selftest command regarding
-    plugins. This allows the user to control which plugins are in effect while
-    running these tests and respect the import policies defined here.
-
-    When failures are encountered for a given plugin, they can generally be
-    addressed by using lazy import or lazy hook registration.
     """
 
     def setUp(self):
@@ -73,16 +61,6 @@
                      'BZR_PLUGINS_AT', 'HOME'):
             self.preserved_env_vars[name] = os.environ.get(name)
         super(TestImportTariffs, self).setUp()
-        # We don't want to pollute the user's .bzr.log so we define our own.
-        self.log_path = osutils.pathjoin(self.test_home_dir, '.bzr.log')
-        self.overrideEnv('BZR_LOG', self.log_path)
-
-    def test_log_path_overriden(self):
-        # ensure we get the log file in the right place
-        actual_log_path = trace._get_bzr_log_filename()
-        self.assertStartsWith(actual_log_path, self.test_home_dir)
-        self.assertEquals(self.log_path, actual_log_path)
-
 
     def start_bzr_subprocess_with_import_check(self, args, stderr_file=None):
         """Run a bzr process and capture the imports.

=== modified file 'bzrlib/tests/test_trace.py'
--- bzrlib/tests/test_trace.py	2011-05-27 20:46:01 +0000
+++ bzrlib/tests/test_trace.py	2011-04-07 11:23:09 +0000
@@ -128,18 +128,6 @@
         #                with errno, function name, and locale error message
         self.assertContainsRe(msg,
             r"^bzr: ERROR: \(2, 'RemoveDirectory[AW]?', .*\)")
-            
-    def test_format_sockets_error(self):
-        try:
-            import socket
-            sock = socket.socket()
-            sock.send("This should fail.")
-        except socket.error:
-            pass
-        msg = _format_exception()
-        
-        self.assertNotContainsRe(msg,
-            r"Traceback (most recent call last):")
 
     def test_format_unicode_error(self):
         try:

=== modified file 'bzrlib/tests/test_utextwrap.py'
--- bzrlib/tests/test_utextwrap.py	2011-05-28 06:44:01 +0000
+++ bzrlib/tests/test_utextwrap.py	2011-05-26 18:26:45 +0000
@@ -171,16 +171,15 @@
 
 
     def setup_both(testcase, base_class, reused_class):
-
+        
         if (features.sphinx.available()):
             # Until https://bitbucket.org/birkenfeld/sphinx/issue/706 is fixed,
-            # we can't run these tests when sphinx <= 1.0.1 as it breaks
-            # textwrap.TextWrapper.wordsep_re
+            # we can't run these tests when sphinx <= 1.0.1
             version = tuple(map(int,
                                 features.sphinx.module.__version__.split('.')))
-            if version <= (1, 0, 7):
-                raise tests.TestSkipped(
-                    'sphinx textwrap monkeypatch breaks utextwrap')
+            if version <= (1, 0, 1):
+                raise tests.TestSkipped('sphinx monkeypatch textwrap')
+        testcase.debug()
         super(base_class, testcase).setUp()
         override_textwrap_symbols(testcase)
         reused_class.setUp(testcase)

=== modified file 'doc/developers/testing.txt'
--- doc/developers/testing.txt	2011-05-30 07:36:53 +0000
+++ doc/developers/testing.txt	2011-04-05 12:11:26 +0000
@@ -516,9 +516,9 @@
 regress.
 
 This is done by running the command in a subprocess with
-``PYTHON_VERBOSE=1``.  Starting a whole Python interpreter is pretty slow,
-so we don't want exhaustive testing here, but just enough to guard against
-distinct fixed problems.
+``--profile-imports``.  Starting a whole Python interpreter is pretty
+slow, so we don't want exhaustive testing here, but just enough to guard
+against distinct fixed problems.
 
 Assertions about precisely what is loaded tend to be brittle so we instead
 make assertions that particular things aren't loaded.

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-05-31 01:50:47 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-05-27 17:57:23 +0000
@@ -36,9 +36,6 @@
 .. Fixes for situations where bzr would previously crash or give incorrect
    or undesirable results.
 
-* Fix a race condition for ``server_started`` hooks leading to a spurious
-  test failure. (Vincent Ladeuil, #789167)
-
 * Pass the ``build_mo`` command to the rest of the setup() calls in
   setup.py. The ``bdist_wininst`` and ``py2exe`` code paths were failing
   because ``build_mo`` became a required step that they didn't know about.
@@ -59,9 +56,6 @@
 
 .. Improved or updated documentation.
 
-* Improve documentation of ``bzr merge --force``.
-  (Neil Martinsen-Burrell, #767307)
-
 API Changes
 ***********
 
@@ -84,21 +78,12 @@
    suite.  This can include new facilities for writing tests, fixes to 
    spurious test failures and changes to the way things should be tested.
 
-* Don't use ``$HOME/.bzr.log`` for the TestImportTariffs tests.
-  (Vincent Ladeuil, #789505)
-
 * Fix deadlock in `TestImportTariffs.test_simple_serve` when stderr gets
   more output than fits in the default buffer.  This was happening on the
   Windows buildslave, and could easily happen in other circumstances where
   the default OS buffer size for pipes is small or the ``python -v``
   output is large.  (Andrew Bennetts, #784802)
 
-* Fix spurious test failure on OSX for WorkingTreeFormat2.
-  (Vincent Ladeuil, #787942)
-* Skip ``utextwrap`` tests when ``sphinx`` breaks text_wrap by an hostile
-  monkeypatch to textwrap.TextWrapper.wordsep_re.
-  (Vincent Ladeuil, #785098)
-
 * Multiple ``selftest --exclude`` options are now combined instead of
   overriding each other. (Vincent Ladeuil, #746991)
 

